alfred: upgrade package to latest release 2019.3
[feed/routing.git] / alfred / Makefile
index f2ebe2c..aa43b67 100644 (file)
@@ -7,13 +7,10 @@
 
 include $(TOPDIR)/rules.mk
 
-#
-# The latest alfred git hash in PKG_REV can be obtained from https://git.open-mesh.org/alfred.git
-#
 PKG_NAME:=alfred
-PKG_VERSION:=2016.2
+PKG_VERSION:=2019.3
 PKG_RELEASE:=0
-PKG_MD5SUM:=cc7d5b352942477033a4cafbed84152d
+PKG_HASH:=a4c37920de497701680abb55c49cdcd11e4e7135e0e7e79259c35492a3df4766
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://downloads.open-mesh.org/batman/releases/batman-adv-$(PKG_VERSION)
@@ -21,14 +18,12 @@ PKG_LICENSE:=GPL-2.0
 
 include $(INCLUDE_DIR)/package.mk
 
-init-y := alfred
-
 define Package/alfred
   URL:=https://www.open-mesh.org/
   SECTION:=net
   CATEGORY:=Network
   TITLE:=A.L.F.R.E.D. - Almighty Lightweight Fact Remote Exchange Daemon
-  DEPENDS:= +libc +kmod-ipv6 +librt \
+  DEPENDS:= +libc @IPV6 +libnl-tiny +librt \
          +ALFRED_NEEDS_lua:lua \
          +ALFRED_NEEDS_libgps:libgps
 endef
@@ -57,20 +52,17 @@ define Package/alfred/config
        source "$(SOURCE)/Config.in"
 endef
 
-MAKE_ALFRED_FLAGS=\
+MAKE_FLAGS += \
        CONFIG_ALFRED_VIS=$(if $(CONFIG_PACKAGE_ALFRED_VIS),y,n) \
        CONFIG_ALFRED_GPSD=$(if $(CONFIG_PACKAGE_ALFRED_GPSD),y,n) \
-       CONFIG_ALFRED_CAPABILITIES=n
+       CONFIG_ALFRED_CAPABILITIES=n \
+        LIBNL_NAME="libnl-tiny" \
+        LIBNL_GENL_NAME="libnl-tiny" \
+        REVISION="openwrt-$(PKG_VERSION)-$(PKG_RELEASE)"
 
 TARGET_CFLAGS  += -ffunction-sections -fdata-sections -flto
 TARGET_LDFLAGS += -Wl,--gc-sections -fuse-linker-plugin
 
-define Build/Compile
-       CFLAGS="$(TARGET_CPPFLAGS) $(TARGET_CFLAGS)" \
-       LDFLAGS="$(TARGET_LDFLAGS)" \
-       $(MAKE) -C $(PKG_BUILD_DIR) $(MAKE_FLAGS) $(MAKE_ALFRED_FLAGS) all
-endef
-
 define Package/alfred/install
        $(INSTALL_DIR) $(1)/usr/sbin
        cp -fpR  $(PKG_BUILD_DIR)/alfred $(1)/usr/sbin/